; msx2-subrom.asm - BIOS calls for the MSX computer
; Copyright 2005  Bas Wijnen <wijnen@debian.org>
;
; This file is part of z80asm.
;
; Z80asm is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 3 of the License, or
; (at your option) any later version.
;
; Z80asm is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.

SUBROM_PAINT:	equ 0x0069
SUBROM_PSET:	equ 0x006D
SUBROM_ATRSCN:	equ 0x0071
SUBROM_GLINE:	equ 0x0075
SUBROM_DOBOXF:	equ 0x0079
SUBROM_DOLINE:	equ 0x007D
SUBROM_BOXLIN:	equ 0x0081
SUBROM_DOGRPH:	equ 0x0085
SUBROM_GRPPRT:	equ 0x0089
SUBROM_SCALXY:	equ 0x008D
SUBROM_MAPXYC:	equ 0x0091
SUBROM_READC:	equ 0x0095
SUBROM_SETATR:	equ 0x0099
SUBROM_SETC:	equ 0x009D
SUBROM_TRIGHT:	equ 0x00A1
SUBROM_RIGHTC:	equ 0x00A5
SUBROM_TLEFTC:	equ 0x00A9
SUBROM_LEFTC:	equ 0x00AD
SUBROM_TDOWNC:	equ 0x00B1
SUBROM_DOWNC:	equ 0x00B5
SUBROM_TUPC:	equ 0x00B9
SUBROM_UPC:	equ 0x00BD
SUBROM_SCANR:	equ 0x00C1
SUBROM_SCANL:	equ 0x00C5
SUBROM_NVBXLN:	equ 0x00C9
SUBROM_NVBXFL:	equ 0x00CD
SUBROM_CHGMOD:	equ 0x00D1
SUBROM_INITXT:	equ 0x00D5
SUBROM_INIT32:	equ 0x00D9
SUBROM_INIGRP:	equ 0x00DD
SUBROM_INIMLT:	equ 0x00E1
SUBROM_SETTXT:	equ 0x00E5
SUBROM_SETT32:	equ 0x00E9
SUBROM_SETGRP:	equ 0x00ED
SUBROM_SETMLT:	equ 0x00F1
SUBROM_CLRSPR:	equ 0x00F5
SUBROM_CALPAT:	equ 0x00F9
SUBROM_CALATR:	equ 0x00FD
SUBROM_GSPSIZ:	equ 0x0101
SUBROM_GETPAT:	equ 0x0105
SUBROM_WTRVRM:	equ 0x0109
SUBROM_RDVRM:	equ 0x010D
SUBROM_CHGCLR:	equ 0x0111
SUBROM_CLS:	equ 0x0115
SUBROM_CLRTXT:	equ 0x0119
SUBROM_DSPFNK:	equ 0x011D
SUBROM_DELLNO:	equ 0x0121
SUBROM_INSLNO:	equ 0x0125
SUBROM_PUTVRM:	equ 0x0129
SUBROM_WRTVDP:	equ 0x012D
SUBROM_VDPSTA:	equ 0x0131
SUBROM_KYKLOK:	equ 0x0135
SUBROM_PUTCHR:	equ 0x0139
SUBROM_SETPAG:	equ 0x013D
SUBROM_INIPLT:	equ 0x0141
SUBROM_RSTPLT:	equ 0x0145
SUBROM_GETPLT:	equ 0x0149
SUBROM_SETPLT:	equ 0x014D
SUBROM_PUTSPRT:	equ 0x0151
SUBROM_COLOR:	equ 0x0155
SUBROM_SCREEN:	equ 0x0159
SUBROM_WIDTHS:	equ 0x015D
SUBROM_VDP:	equ 0x0161
SUBROM_VDPF:	equ 0x0165
SUBROM_BASE:	equ 0x0169
SUBROM_BASEF:	equ 0x016D
SUBROM_VPOKE:	equ 0x0171
SUBROM_VPEEK:	equ 0x0175
SUBROM_SETS:	equ 0x0179
SUBROM_BEEP:	equ 0x017D
SUBROM_PROMPT:	equ 0x0181
SUBROM_SDFSCR:	equ 0x0185
SUBROM_SETSCR:	equ 0x0189
SUBROM_SCOPY:	equ 0x018D
SUBROM_BLTVV:	equ 0x0191
SUBROM_BLTVM:	equ 0x0195
SUBROM_BLTMV:	equ 0x0199
SUBROM_BLTVD:	equ 0x019D
SUBROM_BLTDV:	equ 0x01A1
SUBROM_BLTMD:	equ 0x01A5
SUBROM_BLTDM:	equ 0x01A9
SUBROM_NEWPAD:	equ 0x01AD
SUBROM_GETPUT:	equ 0x01B1
SUBROM_CHGMDP:	equ 0x01B5
SUBROM_RESVI:	equ 0x01B9
SUBROM_KNJPRT:	equ 0x01BD
SUBROM_REDCLK:	equ 0x01F5
SUBROM_WRTCLK:	equ 0x01F9
